<?php

//      Mes_fonctions.php3

$GLOBALS['dossier_squelettes'] = 'espfor';

function pdf_first_clean($texte) {
        // $texte = ereg_replace("<p class[^>]*>", "<P>", $texte);
        //Translation des codes iso
        // PB avec l'utilisation de <code>
        $trans = get_html_translation_table(HTML_ENTITIES);
        $trans = array_flip($trans);
        $trans["<br />\n"] = "<BR>";        // Pour viter que le \n ne se transforme en espace dans les <DIV class=spip_code> (TT, tag SPIP : code)
        $trans[""] = "oe";
        $trans["-"] = "-";
        $trans["'"] = "'";
        $trans['"'] = "\"";
        $trans["&ucirc;"] = "";
        $trans['$'] = '\$';
        $trans['->'] = '-';
        $trans['<-'] = '-';
        $texte = strtr($texte, $trans);

        // Echappement des "
         $texte = ereg_replace("\"", "\\\"", $texte);

        // Traitement des Espaces
        $texte = ereg_replace("(&nbsp;| )+", " ", $texte);

        // Traitement des cadres
        $trans=array("\n" => '<BR>');
        while (preg_match('/(.*<textarea[^>]*>)(.*\n.*)(<\/textarea>.*)/ims', $texte, $textarea)) {
                $rep=strtr($textarea[2], $trans);
                $texte=$textarea[1].$rep.$textarea[3];
        }

        return $texte;
}

function google_like($string){ 
$query = rtrim(str_replace("+", " ", $_GET['recherche'])); 
$qt = explode(" ", $query); $num = count ($qt);
$cc = ceil(200 / $num); 
for ($i = 0; $i < $num; $i++) { 
$tab[$i] = preg_split("/($qt[$i])/i",$string,2, PREG_SPLIT_DELIM_CAPTURE);
if(count($tab[$i])>1){ 
$avant[$i] = substr($tab[$i][0],-$cc,$cc);
$apres[$i] = substr($tab[$i][2],0,$cc); 
$string_re .= "<i>[...]</i>$avant[$i]<b>".$tab[$i][1]."</b>$apres[$i]<i>[...]</i> ";
 } }
return $string_re;
}

function etoiles($texte) {
	$point = $texte;
	$texte = "";
	$star="<img src=\"espfor/images/etoile.png\">";
	if ($point > 2) {
		$texte= $star;
	}
	if ($point > 6) {
		$texte= $star."&nbsp;".$star ;
	}
	if ($point > 8) {
		$texte= $star."&nbsp;".$star."&nbsp;".$star ;
	}
	if ($point > 12) {
		$texte= $star."&nbsp;".$star."&nbsp;".$star."&nbsp;".$star ;
	}
	if ($point > 20) {
		$texte= $star."&nbsp;".$star."&nbsp;".$star."&nbsp;".$star."&nbsp;".$star ;
	}

return $texte;
}
/*

 *   +----------------------------------+

 *    Nom du Filtre :    pagination                                               

 *   +----------------------------------+

 *    Date : dimanche 22 aot 2004

 *    Auteur :  James (klike<at>free.fr)

 *   +-------------------------------------+

 *    Fonctions de ce filtre :

 *     affiche la liste des pages d'une boucle contenant

 *     un critre de limite du type {debut_xxx, yyy}

 *   +-------------------------------------+ 

 *  

 * Pour toute suggestion, remarque, proposition d'ajout

 * reportez-vous au forum de l'article :

 * http://www.uzine.net/spip_contrib/article.php3?id_article=663

*/



function pagination($total, $position=0, $pas=1, $fonction='') {

  global $clean_link;

  global $pagination_item_avant, $pagination_item_apres, $pagination_separateur;

  tester_variable('pagination_separateur', '&nbsp;| ');

  if (ereg('^debut([-_a-zA-Z0-9]+)$', $position, $match)) {

    $debut_lim = "debut".$match[1];

    $position = intval($GLOBALS['HTTP_GET_VARS'][$debut_lim]);

  }

  $nombre_pages = floor(($total-1)/$pas)+1;

  $texte = '';


  if($nombre_pages>1) {

    $i = 0;

    while($i<$nombre_pages) {

      $clean_link->delVar($debut_lim);

      $clean_link->addVar($debut_lim, strval($i*$pas));

      $url = $clean_link->getUrl();
      $url = ereg_replace("&", "&amp;", "$url");

      if(function_exists($fonction)) $item = call_user_func($fonction, $i+1);

      else $item = strval($i+1);

      if(($i*$pas) != $position) {

        if(function_exists('lien_pagination')) $item = lien_pagination($url, $item, $i+1);

        else $item = "<a href=\"".$url."\" class=\"spip_in\">".$item."</a>";

      }

      $texte .= $pagination_item_avant.$item.$pagination_item_apres;

      if($i<($nombre_pages-1)) $texte .= $pagination_separateur;

      $i++;

    }


    //Correction bug: $clean_link doit revenir  son tat initial

    $clean_link->delVar($debut_lim);

    if($position) $clean_link->addVar($debut_lim, $position);

     return $texte;

  }

  return '';

}



// FIN du Filtre pagination

function barre_article($texte)
{
	include_ecrire('inc_layer.php3');

	if (!$GLOBALS['browser_barre'])
		return "<textarea name='texte' rows='12' class='forml' cols='60'>$texte</textarea>";
	static $num_formulaire = 0;
	$num_formulaire++;
	include_ecrire('inc_barre.php3');
	return afficher_barre("document.getElementById('formulaire_$num_formulaire')", true) .
	  "
<textarea name='texte' rows='12' class='forml' cols='60' id='formulaire_$num_formulaire'
onselect='storeCaret(this);'
onclick='storeCaret(this);'
onkeyup='storeCaret(this);'
ondbclick='storeCaret(this);'>$texte</textarea>";
}

function nettoyer_article($texte)
{
	include_ecrire('inc_texte.php3');
	if (strlen($texte) < 10 ) {
		$erreur = _T('forum_attention_dix_caracteres');
		return $erreur;
	} else {
		$previsualisation = PtoBR(propre(supprimer_tags($texte)));
		return $previsualisation;
	}
}

function balise_AUJOURDHUI($params) {
$params->code = "date('Y-m-d')";
$params->type = 'php';
return $params;
}
?>